Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000124Core InformPropertiespublic2010-06-24 17:102010-10-28 00:31
Reporteremail 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000124: Defining a property of an individual value (not object) is allowed but doesn't work
DescriptionThe value of "countervalue of Eightball" stays at zero and never goes up.
Minimal Source Text To Reproduce
The Study is a room.

Eightball is a scene. 

Eightball has a number called countervalue. 

Eightball begins when play begins.

Every turn during Eightball:
	increase the countervalue of Eightball by 1;
	say "[countervalue of Eightball]".

Test me with "z/z/z/z/z/z"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000152)
jmcgrew (administrator)
2010-06-24 17:13

On Glulx, this prints 0 every turn. On Z-code, it gives some runtime errors and prints a garbage value.
(0000553)
mikegentry (reporter)
2010-09-15 14:46

Note, this works if you assign the countervalue property to scenes in general, rather than to Eightball specifically. In other words, the following code behaves as it should:

--CODE--

The Study is a room.

Eightball is a scene.

A scene has a number called countervalue.

Eightball begins when play begins.

Every turn during Eightball:
increase the countervalue of Eightball by 1;
say "[countervalue of Eightball]".

Test me with "z/z/z/z/z/z"
(0000555)
jmcgrew (administrator)
2010-09-16 17:53

Interesting. This breaks too:

<code>
Home is a room.
Color is a kind of value. The colors are red, green, and blue.
Red has a number called redness.
When play begins:
now the redness of red is 15;
say the redness of red.
</code>

I'm not sure if this is supposed to be legal.
(0000601)
graham (administrator)
2010-09-27 11:07

These are indeed both legal source texts; it was a bug, or rather, an oversight - the necessary storage wasn't being created. Fixed, and both source texts produce the expected results.

- Issue History
Date Modified Username Field Change
2010-06-24 17:10 jmcgrew New Issue
2010-06-24 17:13 jmcgrew Note Added: 0000152
2010-06-24 17:13 jmcgrew Reproducibility have not tried => always
2010-06-24 17:13 jmcgrew Status new => confirmed
2010-09-15 14:46 mikegentry Note Added: 0000553
2010-09-16 17:53 jmcgrew Note Added: 0000555
2010-09-16 17:55 jmcgrew Summary "increase" doesn't work with scene properties => Defining a property of an individual value (not object) is allowed but doesn't work
2010-09-27 11:07 graham Note Added: 0000601
2010-09-27 11:07 graham Status confirmed => resolved
2010-09-27 11:07 graham Resolution open => fixed
2010-09-27 11:07 graham Assigned To => graham
2010-10-24 12:05 jmcgrew Reporter jmcgrew => email
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker